Page MenuHomePhabricator

Fix VisualEditor scenarios that fail at en.wikipedia.beta.wmflabs.org or do not run them daily
Closed, ResolvedPublic0 Story Points

Related Objects

Event Timeline

Isn't @Ryasmeen monitoring the failure together with the VE developers team?

dduvall added a subscriber: dduvall.Jun 2 2015, 3:27 PM

@Ryasmeen, let's schedule a pairing session to work on this.

dduvall raised the priority of this task from Normal to Needs Triage.Jun 2 2015, 3:27 PM
dduvall moved this task from Waiting to Next on the Browser-Tests-Infrastructure board.
zeljkofilipin triaged this task as Normal priority.Jun 2 2015, 3:28 PM

@Ryasmeen: Are you working on this?

zeljkofilipin renamed this task from Delete or fix failed VisualEditor browsertests Jenkins job to Delete or fix failed VisualEditor browsertests Jenkins jobs.Oct 12 2015, 4:08 PM

Change 245499 had a related patch set uploaded (by Zfilipin):
Delete failing VisualEditor browsertests Jenkins jobs

https://gerrit.wikimedia.org/r/245499

Change 245499 merged by jenkins-bot:
Delete failing VisualEditor browsertests Jenkins jobs

https://gerrit.wikimedia.org/r/245499

Jobs still need to be manually deleted:
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-linux-chrome-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-os_x_10.9-safari-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-windows_8.1-internet_explorer-11-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-windows_8-internet_explorer-10-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-production-linux-firefox-sauce

Jobs still need to be manually deleted:
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-linux-chrome-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-os_x_10.9-safari-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-windows_8.1-internet_explorer-11-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-windows_8-internet_explorer-10-sauce
16:12:47 Only in output-parent: browsertests-VisualEditor-production-linux-firefox-sauce

Done.

zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed a project: Patch-For-Review.

Change 247612 had a related patch set uploaded (by Hashar):
Revert "Delete failing VisualEditor browsertests Jenkins jobs"

https://gerrit.wikimedia.org/r/247612

zeljkofilipin moved this task from Next to In Progress on the Browser-Tests-Infrastructure board.
zeljkofilipin added a subscriber: Amire80.

Change 247612 abandoned by Hashar:
Revert "Delete failing VisualEditor browsertests Jenkins jobs"

Reason:
Per Zeljko above, lets follow up on T94162 for the test breakages and T114362 for lack of IE/Safari support.

https://gerrit.wikimedia.org/r/247612

Change 252409 had a related patch set uploaded (by Zfilipin):
WIP [BrowserTest] Fix broken browser test

https://gerrit.wikimedia.org/r/252409

zeljkofilipin removed zeljkofilipin as the assignee of this task.Dec 17 2015, 4:39 PM

Change 269732 had a related patch set uploaded (by Zfilipin):
WIP recreate VisualEditor Selenium Jenkins job

https://gerrit.wikimedia.org/r/269732

5 tests are passing: P2586.

Change 269952 had a related patch set uploaded (by Zfilipin):
[BrowserTest] Jenkins runs only passing Cucumber scenarios

https://gerrit.wikimedia.org/r/269952

Change 269952 merged by jenkins-bot:
[BrowserTest] Jenkins runs only passing Cucumber scenarios

https://gerrit.wikimedia.org/r/269952

Change 269732 merged by jenkins-bot:
Recreate VisualEditor Selenium Jenkins job

https://gerrit.wikimedia.org/r/269732

zeljkofilipin renamed this task from Delete or fix failed VisualEditor browsertests Jenkins jobs to Disable VisualEditor scenarios that fail at en.wikipedia.beta.wmflabs.org from running daily.Feb 24 2016, 4:00 PM
zeljkofilipin renamed this task from Disable VisualEditor scenarios that fail at en.wikipedia.beta.wmflabs.org from running daily to Fix VisualEditor scenarios that fail at en.wikipedia.beta.wmflabs.org or do not run them daily.Feb 25 2016, 3:18 PM
zeljkofilipin closed this task as Resolved.Feb 26 2016, 10:51 AM

Resolving this task. I have created separate tasks about remaining problems: T119482, T126966.

Jdforrester-WMF set the point value for this task to 0.May 10 2016, 1:15 AM